/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
 
package org.ow2.easywsdl.extensions.wsdl4complexwsdl.impl.converter;

import org.ow2.easywsdl.extensions.wsdl4complexwsdl.api.Description;
import org.ow2.easywsdl.extensions.wsdl4complexwsdl.impl.DescriptionImpl;
import org.ow2.easywsdl.wsdl.api.WSDLException;
import org.ow2.easywsdl.wsdl.api.abstractItf.AbsItfDescription;
import org.ow2.easywsdl.wsdl.decorator.GenericDescriptionConverter;

/**
 * @author Nicolas Salatge - EBM WebSourcing
 */
public class DescriptionConverter
        extends GenericDescriptionConverter<Description, DescriptionImpl> {

    private static DescriptionConverter WSDL_CONVERTER = new DescriptionConverter();

    private DescriptionConverter() {
    }

    public static DescriptionConverter getInstance() {
        return DescriptionConverter.WSDL_CONVERTER;
    }


    public Description convertDescription(final AbsItfDescription oldDesc) throws WSDLException {
    	Description res = null;
    	if(oldDesc instanceof DescriptionImpl) {
    		res = (Description) oldDesc;
    	} else {
    		res = this.convertDescription(oldDesc, DescriptionImpl.class);
    	}
        return res;
    }
}
