/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
 
package org.ow2.easywsdl.extensions.wsdl4complexwsdl.test;

import java.net.URL;

import junit.framework.TestCase;

import org.ow2.easywsdl.extensions.wsdl4complexwsdl.WSDL4ComplexWsdlFactory;
import org.ow2.easywsdl.extensions.wsdl4complexwsdl.api.Description;
import org.ow2.easywsdl.extensions.wsdl4complexwsdl.api.WSDL4ComplexWsdlReader;
import org.ow2.easywsdl.extensions.wsdl4complexwsdl.api.WSDL4ComplexWsdlWriter;
import org.w3c.dom.Document;

/**
 * @author Marc Jambert - EBM WebSourcing
 */
public class WSDL4ComplexWsdlWriterImplTest extends TestCase {

	public final void testReadWriteWithNamespaceUseHiddenInArrayType() throws Exception {

		 final WSDL4ComplexWsdlFactory wsdlFactory = WSDL4ComplexWsdlFactory.newInstance();
	        final WSDL4ComplexWsdlWriter wsdlWriter = wsdlFactory.newWSDLWriter();
	        final WSDL4ComplexWsdlReader reader = wsdlFactory.newWSDLReader();
	        URL url = getClass().getResource("/WSDL4ComplexWsdlWriterImplTest-testReadWriteWithNamespaceUseHiddenInArrayType.wsdl");
	        
	        final Description desc = reader.read(url);
	        Document doc = wsdlWriter.getDocument(desc);

	        assertNotNull(doc.lookupNamespaceURI("xsd"));
	}
}
